package cn.superdesk.uniorder.dao.mapper.thirdpart.qchjc.accounting;

import cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.accounting.QchjcSupplierBackAccountEntity;
import cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.accounting.QchjcSupplierBackAccountEntityExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface QchjcSupplierBackAccountEntityMapper {
    long countByExample(QchjcSupplierBackAccountEntityExample example);

    int deleteByExample(QchjcSupplierBackAccountEntityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(QchjcSupplierBackAccountEntity record);

    int insertSelective(QchjcSupplierBackAccountEntity record);

    List<QchjcSupplierBackAccountEntity> selectByExample(QchjcSupplierBackAccountEntityExample example);

    QchjcSupplierBackAccountEntity selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") QchjcSupplierBackAccountEntity record, @Param("example") QchjcSupplierBackAccountEntityExample example);

    int updateByExample(@Param("record") QchjcSupplierBackAccountEntity record, @Param("example") QchjcSupplierBackAccountEntityExample example);

    int updateByPrimaryKeySelective(QchjcSupplierBackAccountEntity record);

    int updateByPrimaryKey(QchjcSupplierBackAccountEntity record);
}